Skip to main content

Get an applicant by ID

GEThttps://api.propexo.com/v1/applicants/:id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the applicant

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    leads/getLeads
    Example: customer321
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    leads/getLeads
    Example: property987
    x_unit_idstring | nullnullablerequireddeprecated

    DEPRECATED: Use x_unit_id_preferred instead

    Method
    leads/getLeads
    x_lease_idstring | nullnullablerequireddeprecated

    DEPRECATED: Not in use.

    Method
    leads/getLeads
    x_lead_idnullrequired

    The external ID of the lead from the integration vendor

    Notice

    This field will always be null for ENTRATA

    Example: null
    x_unit_id_preferredstring[]required

    The external IDs of the units from the integration vendor that the applicant is interested in

    Method
    leads/getLeads
    Example: ["123","456"]
    address_1_alternatestring | nullnullablerequired

    The first alternate address line associated with the applicant

    Method
    leads/getLeads
    Example: 456 Oak St
    address_1string | nullnullablerequired

    The first address line associated with the applicant

    Method
    leads/getLeads
    Example: 123 Main St
    address_2_alternatenullrequired

    The second alternate address line associated with the applicant

    Notice

    This field will always be null for ENTRATA

    Example: null
    address_2nullrequired

    The second address line associated with the applicant

    Notice

    This field will always be null for ENTRATA

    Example: null
    applications object[]required

    Applications that the applicant has submitted

  • Array [
  • applicant_idstringrequired
    Method
    leads/getLeads
    Example: clxkw4hlh0000t3oz7dwh0wum
    application_idstringrequired
    Method
    leads/getLeads
    Example: clxkw4nbk0002t3ozbf008763
    statusstring | nullnullabledeprecated

    DEPRECATED. Use status_raw or status_normalized

    Method
    leads/getLeads
    status_rawstring | nullnullable

    The raw status associated with the applicant

    Method
    leads/getLeads
    Example: pending
    status_normalizedstring | nullnullable

    The normalized status associated with the applicant. Confirm these derived values before using them in production.

    Method
    leads/getLeads
    Example: PENDING
    Show 2 variants
    • stringAPPROVEDDENIEDCANCELEDOTHERPENDING
    • string
    custom_data object | null
    object
  • ]
  • city_alternatestring | nullnullablerequired

    The alternate city associated with the applicant

    Method
    leads/getLeads
    Example: Shelbyville
    citystring | nullnullablerequired

    The city associated with the applicant

    Method
    leads/getLeads
    Example: Springfield
    country_alternatestring | nullnullablerequired

    The alternate country associated with the applicant

    Method
    leads/getLeads
    Example: US
    countrystring | nullnullablerequired

    The country associated with the applicant

    Method
    leads/getLeads
    Example: US
    custom_data object | nullrequired
    object
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the applicant

    Method
    leads/getLeads
    Example: 1980-01-01T00:00:00.000Z
    email_1string | nullnullablerequired

    The primary email address associated with the applicant

    Method
    leads/getLeads
    email_2nullrequired

    The secondary email address associated with the applicant

    Notice

    This field will always be null for ENTRATA

    Example: null
    first_namestring | nullnullablerequired

    The first name associated with the applicant

    Method
    leads/getLeads
    Example: John
    self_reported_income object[]

    Self reported income sources for the applicant

  • Array [
  • amount_in_centsnumber | nullnullablerequired

    The total income of the applicant, in cents

    Notice

    This field is not currently hydrated for ENTRATA

    Example: 325000
    amount_rawstring | nullnullablerequired

    The total income amount of the applicant

    Notice

    This field is not currently hydrated for ENTRATA

    type_normalizedstring | nullnullablerequired

    The type of income of the applicant

    Method
    leads/getLeads
    Example: SECONDARY
    type_rawstring | nullnullablerequired

    The type of income of the applicant

    Method
    leads/getLeads
    Example: Co-Applicant
  • ]
  • last_namestring | nullnullablerequired

    The last name associated with the applicant

    Method
    leads/getLeads
    Example: Doe
    middle_namestring | nullnullablerequired

    The middle name associated with the applicant

    Method
    leads/getLeads
    Example: Michael
    notesnullrequired

    Notes associated with the applicant

    Notice

    This field will always be null for ENTRATA

    Example: null
    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Method
    leads/getLeads
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: HOME
    phone_1string | nullnullablerequired

    Primary phone number associated with the applicant

    Method
    leads/getLeads
    Example: (123) 456-7890
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Method
    leads/getLeads
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: MOBILE
    phone_2string | nullnullablerequired

    Secondary phone number associated with the applicant

    Method
    leads/getLeads
    Example: (098) 765-4321
    state_alternatestring | nullnullablerequired

    The alternate state associated with the applicant

    Method
    leads/getLeads
    Example: MO
    statestring | nullnullablerequired

    The state associated with the applicant

    Method
    leads/getLeads
    Example: IL
    type_normalizedstring | nullnullablerequired

    The normalized type associated with the applicant

    Method
    leads/getLeads
    Example: SECONDARY
    type_rawstring | nullnullablerequired

    The raw type associated with the applicant

    Method
    leads/getLeads
    Example: Co-Applicant
    zip_alternatestring | nullnullablerequired

    The alternate zip code associated with the applicant

    Method
    leads/getLeads
    Example: 62705
    zipstring | nullnullablerequired

    The zip code associated with the applicant

    Method
    leads/getLeads
    Example: 62704
    pets object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the applicant pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    leads/getLeads
    Example: 68
    age_in_yearsnumber | nullnullablerequired

    The age in years of the applicant pet

    Method
    leads/getLeads
    Example: 3
    breedstring | nullnullablerequired

    The breed of the applicant pet

    Method
    leads/getLeads
    Example: Pit Bull
    colorstring | nullnullablerequired

    The color of the applicant pet

    Method
    leads/getLeads
    Example: Pink
    gender_rawnullrequired

    The raw value for the gender of the applicant pet

    Notice

    This field will always be null for ENTRATA

    Example: null
    is_declawednullrequired

    Whether the applicant pet is declawed

    Notice

    This field will always be null for ENTRATA

    Example: null
    is_fixednullrequired

    Whether the applicant pet is fixed

    Notice

    This field will always be null for ENTRATA

    Example: null
    is_service_animalnullrequired

    Whether the applicant pet is a service animal

    Notice

    This field will always be null for ENTRATA

    Example: null
    is_trainednullrequired

    Whether the applicant pet is trained

    Notice

    This field will always be null for ENTRATA

    Example: null
    is_vaccinatednullrequired

    Whether the applicant pet is vaccinated

    Notice

    This field will always be null for ENTRATA

    Example: null
    namestring | nullnullablerequired

    The name associated with the applicant pet

    Method
    leads/getLeads
    Example: Air Bud
    notesstring | nullnullablerequired

    Notes associated with the applicant pet

    Method
    leads/getLeads
    Example: He's scary
    typestring | nullnullablerequired

    The type associated with the applicant pet

    Method
    leads/getLeads
    Example: Dog
    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the applicant pet

    Method
    leads/getLeads
    Example: 200
    custom_data object | nullrequired
    object
  • ]
  • integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum15required

    The property management system of record

    Show 13 enum values
    ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: ENTRATA
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_id_preferredstring[]required

    The Propexo unique identifiers for the units that the applicant is interested in

    Method
    leads/getLeads
    Example: ["testintegration:1:123","testintegration:1:456"]
    screenings object[]required
  • Array [
  • idstringrequired

    The Propexo ID of the screening

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    leads/getLeads
    Example: 7b825f6fe0992387a658c96cf23d49d50d66cc3ee01bdb37e9a6cec7699961fd
    status_rawstring | nullnullablerequired

    The status/results of the screening

    Method
    leads/getLeads
    Example: Fail
    screening_datenullrequired

    The date the screening took place

    Notice

    This field will always be null for ENTRATA

    Example: null
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/applicants/:id
curl https://api.propexo.com/v1/applicants/:id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "customer321",
"x_property_id": "property987",
"x_lead_id": null,
"x_unit_id_preferred": [
"123",
"456"
],
"address_1_alternate": "456 Oak St",
"address_1": "123 Main St",
"address_2_alternate": null,
"address_2": null,
"applications": [
{
"applicant_id": "clxkw4hlh0000t3oz7dwh0wum",
"application_id": "clxkw4nbk0002t3ozbf008763",
"status_raw": "pending",
"status_normalized": "PENDING",
"custom_data": "Unknown Type: object,null"
}
],
"city_alternate": "Shelbyville",
"city": "Springfield",
"country_alternate": "US",
"country": "US",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "1980-01-01T00:00:00.000Z",
"email_1": "[email protected]",
"email_2": null,
"first_name": "John",
"self_reported_income": [
{
"amount_in_cents": 325000,
"amount_raw": "string",
"type_normalized": "SECONDARY",
"type_raw": "Co-Applicant"
}
],
"last_name": "Doe",
"middle_name": "Michael",
"notes": null,
"phone_1_type": "HOME",
"phone_1": "(123) 456-7890",
"phone_2_type": "MOBILE",
"phone_2": "(098) 765-4321",
"state_alternate": "MO",
"state": "IL",
"type_normalized": "SECONDARY",
"type_raw": "Co-Applicant",
"zip_alternate": "62705",
"zip": "62704",
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "68",
"age_in_years": 3,
"breed": "Pit Bull",
"color": "Pink",
"gender_raw": null,
"is_declawed": null,
"is_fixed": null,
"is_service_animal": null,
"is_trained": null,
"is_vaccinated": null,
"name": "Air Bud",
"notes": "He's scary",
"type": "Dog",
"weight_in_pounds": 200,
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id_preferred": [
"testintegration:1:123",
"testintegration:1:456"
],
"screenings": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "7b825f6fe0992387a658c96cf23d49d50d66cc3ee01bdb37e9a6cec7699961fd",
"status_raw": "Fail",
"screening_date": null
}
]
}
}